### Property

# Ide TreeNode:children-possible

#### Declaration

    property children-possible: gboolean [ read, write ]

#### Description

The “children-possible” property denotes if the node may have children even if it doesn’t have children yet. This is useful for delayed loading of children nodes.

Type: | `gboolean`
Available since: | 3.32

Setter method | `ide_tree_node_set_children_possible()`
Getter method | `ide_tree_node_get_children_possible()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no